Overview | Package | Class | Tree | Deprecated | Index | Help
| Protege 3.4 rc2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.stanford.smi.protege.server.util
Class RemoteProjectUtil

    java.lang.Object
      edu.stanford.smi.protege.server.util.RemoteProjectUtil

    public class RemoteProjectUtil

extends Object

Author:
  Ray Fergerson

Constructor Summary
`RemoteProjectUtil()`

Method Summary
`static void` | `configure(ProjectView view)`
`static void` | `dispose(ProjectView view)`
`static RemoteServer` | `getRemoteServer(KnowledgeBase kb)`
`static boolean` | `isOperationAllowed(RemoteServer server, RemoteSession session, String projectName, Operation op)` Checks whether the operation is allowed for a session on a remote project.
`static boolean` | `isServerOperationAllowed(RemoteServer server, RemoteSession session, Operation op)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RemoteProjectUtil

    public RemoteProjectUtil()

Method Detail

### configure

    public static void configure(ProjectView view)

### dispose

    public static void dispose(ProjectView view)

### getRemoteServer

    public static RemoteServer getRemoteServer(KnowledgeBase kb)

### isOperationAllowed

    public static boolean isOperationAllowed(RemoteServer server,
                                             RemoteSession session,
                                             String projectName,
                                             Operation op)

  Checks whether the operation is allowed for a session on a remote project. If the remote call fails, it will return true (operation allowed)

  Parameters:
    `server` - - the remote server
    `session` - - the session
    `projectName` - - the remote project name
    `op` - - the operation to check
  Returns:
    - true, if operation allowed (or call to server failed); false, otherwise

### isServerOperationAllowed

    public static boolean isServerOperationAllowed(RemoteServer server,
                                                   RemoteSession session,
                                                   Operation op)

Overview | Package | Class | Tree | Deprecated | Index | Help
| Protege 3.4 rc2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug report or feature request
Protégé is a trademark of Stanford University.
Copyright (c) 1998-2009 Stanford University.